%macro combine_zipcode(path,mon,yy);

   /* import the transport file into the sashelp library */
   proc cimport file="&path/zipcode_%sysfunc(propcase(&mon))&yy._v9.cpt" 
                lib=sashelp;
	 run;

   %let q=%sysfunc(qtr(%sysfunc(inputn(01&mon&yy,date.))));
   
   /* add the ZIPMIL data set to the ZIPCODE data. */
   proc append base=sashelp.zipcode_&YY.q&Q. data=sashelp.zipmil_&YY.q&Q.;
   run;
 
   /* Add the ZIPMISC data set to the ZIPCODE data. */
   proc append base=sashelp.zipcode_&YY.q&Q. data=sashelp.zipmisc_&YY.q&Q.;
   run;

   /* Sort the ZIPCODE data. */
   proc sort data=sashelp.zipcode_&YY.q&Q force;
     by zip zip_class;
   run;
 
   /* Create the indexes for the sorted data. */
    proc datasets lib=sashelp nolist;
      modify zipcode_&YY.q&Q;
      index create zip;
      index create city2_statecode =(CITY2 STATECODE);
      index create city2_statename2=(CITY2 STATENAME2);
    run;
    quit;


	 /* delete the existing zipcode data set */
	 proc datasets lib=sashelp nolist;
     delete zipcode;
   run;
	 /* rename the imported data set to zipcode */
     change zipcode_&yy.Q&q.=zipcode;
   run;
   quit;

%mend;

/* Example call to macro assuming tranport file
   is stored in c:\zipcode, the month of the 
   data is APR and the year is 21
 
   %combine_zipcode(c:\zipcode,apr,21);
*/

