%macro replace_zipcode(path,mon,yy);

  /* import the transport file into the sashelp library */
   proc cimport file="&path/zipcode_%sysfunc(propcase(&mon))&yy._v9.cpt" 
                lib=sashelp;
	 run;

   %let q=%sysfunc(qtr(%sysfunc(inputn(01&mon&yy,date.))));
   
	 /* delete the existing zipcode data set */
	 proc datasets lib=sashelp nolist;
     delete zipcode;
   run;
	   /* rename the imported data set to zipcode */
     change zipcode_&yy.Q&q.=zipcode;
   run;
   quit;

	 /* delete the existing ZIPMIL data set */
	 proc datasets lib=sashelp nolist;
     delete zipmil;
   run;
	 /* rename the imported data set to zipmil */
     change zipmil_&yy.Q&q.=zipmil;
   run;
   quit;
%mend;

/* Example call to macro assuming tranport file
   is stored in c:\zipcode, the month of the 
   data is APR and the year is 21

   %replace_zipcode(c:\zipcode,apr,21);
*/

